singleton CubemapData( Sub22BCubicShadow )
{
   cubeFace[0] = "vehicles/Sub22B/Sub22BCubicShadow_1";
   cubeFace[1] = "vehicles/Sub22B/Sub22BCubicShadow_2";
   cubeFace[2] = "vehicles/Sub22B/Sub22BCubicShadow_3";
   cubeFace[3] = "vehicles/Sub22B/Sub22BCubicShadow_4";
   cubeFace[4] = "vehicles/Sub22B/Sub22BCubicShadow_5";
   cubeFace[5] = "vehicles/Sub22B/Sub22BCubicShadow_6";
};

singleton Material(Sub22B_body_1)
{
   mapTo = "Sub22B_body_1";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_forza_body_d.dds";
   diffuseMap[2] = "vehicles/Sub22B/Sub22B_forza_body_c.dds";
   specularMap[2] = "vehicles/Sub22B/Sub22B_forza_body_s.dds";
   normalMap[2] = "vehicles/Sub22B/Sub22B_forza_body_n.dds";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_forza_body_d.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_forza_body_s.dds";
   normalMap[1] = "vehicles/Sub22B/Sub22B_forza_body_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/Sub22B/Sub22B_forza_body_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.00 0.287 0.718 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   doubleSided = "1";
   alphaRef = "0";
   beamngDiffuseColorSlot = 2;
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";  
};

singleton Material(Sub22B_black)
{
   mapTo = "Sub22B_black";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_black.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};



singleton Material(Sub22B_black_glass)
{
   mapTo = "Sub22B_black_glass";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_black.tga";
   specularMap[0] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_black.tga";
   specularMap[1] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   doubleSided = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_windows)
{
   mapTo = "Sub22B_windows";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_glass_d.dds";
   specularMap[0] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_glass_da.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   doubleSided = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   translucentBlendOp = "LerpAlpha";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_brakerotor)
{
   mapTo = "Sub22B_brakerotor";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_brakerotor.dds";
    diffuseMap[0] = "vehicles/common/null.dds";   
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_brakerotor.dds";
    normalMap[1] = "vehicles/Sub22B/Sub22B_brakerotor_n.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_brakerotor_s.dds";     
   
   specularPower[0] = "128";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_innerrim)
{
   mapTo = "Sub22B_innerrim";
      diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_forza_wheel.dds";
   // normalMap[1] = "vehicles/Sub22B/Sub22B_brakerotor_n.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_forza_wheel_s.dds";        
   diffuseColor[0] = "1 1 1 1";   
   diffuseColor[1] = "1 1 1 0.75";
   specularPower[0] = "16";
   specularPower[1] = "16";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";   
};

singleton Material(Sub22B_rim)
{
   mapTo = "Sub22B_rim";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_forza_wheel_d.dds";
   normalMap[1] = "vehicles/Sub22B/Sub22B_forza_wheel_n.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_forza_wheel_s.dds";        
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_wheel_d.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/Sub22B/Sub22B_forza_wheel_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.9 0.9 0.9 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_tire_1)
{
   mapTo = "Sub22B_tire_1";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_tire_sport.tga";
   normalMap[1] = "vehicles/Sub22B/Sub22B_tire_sport_n.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_tire_sport_s.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_rally_wheel)
{
   mapTo = "Sub22B_rally_wheel";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_dirt_rim.dds";
   normalMap[1] = "vehicles/Sub22B/Sub22B_dirt_rim_n.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_dirt_rim_s.dds";   
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";  
   normalMap[0] = "vehicles/Sub22B/Sub22B_dirt_rim_n.dds";   
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "0.24 0.51 0.89 1";
   //diffuseColor[2] = "0.76 0.49 0.11 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_rally_thread)
{
   mapTo = "Sub22B_rally_thread";
   diffuseMap[0] = "vehicles/common/null.dds";   
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_rally_thread_d.dds";
   normalMap[1] = "vehicles/Sub22B/Sub22B_rally_thread_n.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_rally_thread_s.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_suspension)
{
   mapTo = "Sub22B_suspension";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_suspension.dds";
   normalMap[1] = "vehicles/Sub22B/Sub22B_suspension_n.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_suspension_s.dds";  
   doubleSided = "1";
   specularPower[0] = "1.24573";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_undercarriage)
{
   mapTo = "Sub22B_undercarriage";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_dirt_body.dds";
   specular[0] = "0.1 0.1 0.1 1";
   specularPower[0] = "2.06";
   castShadows = "1";
   translucentBlendOp = "None";
};



singleton Material(Sub22B_badge)
{
   mapTo = "Sub22B_badge";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_body.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "LerpAlpha";
   alphaTest = "1";
   alphaRef = "1";
};

singleton Material(Sub22B_undercariage_4)
{
   mapTo = "Sub22B_undercariage_4";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_dirt_body.dds";
   specular[0] = "0.1 0.1 0.1 1";
   specularPower[0] = "2.06";
   castShadows = "1";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_undercarriage_2)
{
   mapTo = "Sub22B_undercarriage_2";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_undercarriage_forza.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   castShadows = "1";
   translucentBlendOp = "None";
};





singleton Material(Sub22B_matte_colors)
{
   mapTo = "Sub22B_matte_colors";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_body.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_undercarriage_1)
{
   mapTo = "Sub22B_undercarriage_1";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_undercarriage_forza.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};



singleton Material(Sub22B_interior_4)
{
   mapTo = "Sub22B_interior_4";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_dirt_interior.dds";
   specular[0] = "0.1 0.1 0.1 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_chrome)
{
   mapTo = "Sub22B_chrome";
   diffuseColor[0] = "0 0 0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_plastic3)
{
   mapTo = "Sub22B_plastic3";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_body.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_meshgrille)
{
   mapTo = "Sub22B_meshgrille";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_grille2.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   castShadows = "0";
   translucent = "1";
   translucentBlendOp = "LerpAlpha";
   alphaTest = "1";
   alphaRef = "1";
};



singleton Material(Sub22B_misc)
{
   mapTo = "Sub22B_misc";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_body.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_rubber_trim)
{
   mapTo = "Sub22B_rubber_trim";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_body.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "38.4";
   translucentBlendOp = "None";
};



singleton Material(Sub22B_interior_3)
{
   mapTo = "Sub22B_interior_3";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_dirt_interior.dds";
   specular[0] = "0.1 0.1 0.1 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_weatherstrip)
{
   mapTo = "Sub22B_weatherstrip";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_body.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_interior_old)
{
   mapTo = "Sub22B_interior_old";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_forza_body.tga";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};



singleton Material(Sub22B_lightfront_main)
{
   mapTo = "Sub22B_lightfront_main";

};

singleton Material(Sub22B_lightfront_city)
{
   mapTo = "Sub22B_lightfront_city";

};

singleton Material(Sub22B_lightred_L)
{
   mapTo = "Sub22B_lightred_L";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[0] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   translucentBlendOp = "LerpAlpha";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_lightred_R)
{
   mapTo = "Sub22B_lightred_R";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[0] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   translucentBlendOp = "LerpAlpha";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_lightbrake)
{
   mapTo = "Sub22B_lightbrake";

};

singleton Material(Sub22B_lightamber_L)
{
   mapTo = "Sub22B_lightamber_L";

};

singleton Material(Sub22B_lightamber_R)
{
   mapTo = "Sub22B_lightamber_R";

};

singleton Material(Sub22B_lightreverse)
{
   mapTo = "Sub22B_lightreverse";

};

singleton Material(Sub22B_lightreflect_R)
{
   mapTo = "Sub22B_lightreflect_R";
   diffuseMap[0] = "Sub22B_lights_d";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_lightglass)
{
   mapTo = "Sub22B_lightglass";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[0] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   translucentBlendOp = "LerpAlpha";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_lights_in)
{
   mapTo = "Sub22B_lights_in";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
    translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_lights_on)
{
   mapTo = "Sub22B_lights_on";
   
   
    diffuseMap[2] = "vehicles/Sub22B/Sub22B_lights_g.dds";
   //specularMap[2] = "vehicles/Sub22B/Sub22B_lights_s.dds";  
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   //specularMap[1] = "vehicles/Sub22B/Sub22B_lights_s.dds";
   
   
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.0 1.0 1.0 1";
   diffuseColor[2] = "1.0 1.0 1.0 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_lights_on_intense)
{
   mapTo = "Sub22B_lights_on_intense";
   
   
    diffuseMap[2] = "vehicles/Sub22B/Sub22B_lights_g_intense.dds";
   specularMap[2] = "vehicles/Sub22B/Sub22B_glass_s.dds";   
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_lights_d.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_glass_s.dds"; 
   
   
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.0 1.0 1.0 1";
   diffuseColor[2] = "1.0 1.0 1.0 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(Sub22B_windows_dmg)
{
   mapTo = "Sub22B_windows_dmg";
   diffuseMap[0] = "vehicles/Sub22B/Sub22B_glass_dmg.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   doubleSided = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Sub22B_lightblink_R)
{
   mapTo = "Sub22B_lightblink_R";
   diffuseMap[0] = "Sub22B_lights_d";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_lightblink_L)
{
   mapTo = "Sub22B_lightblink_L";
   diffuseMap[0] = "Sub22B_lights_d";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_lighttail)
{
   mapTo = "Sub22B_lighttail";
   diffuseMap[0] = "Sub22B_lights_d";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "2.06";
   translucentBlendOp = "None";
};

singleton Material(Sub22B_body_3)
{
   mapTo = "Sub22B_body_3";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_forza_body_d.dds";
   diffuseMap[2] = "vehicles/Sub22B/Sub22B_forza_body_c.dds";
   specularMap[2] = "vehicles/Sub22B/Sub22B_forza_body_s.dds";
   normalMap[2] = "vehicles/Sub22B/Sub22B_forza_body_n.dds";
   diffuseMap[1] = "vehicles/Sub22B/Sub22B_forza_body_d.dds";
   specularMap[1] = "vehicles/Sub22B/Sub22B_forza_body_s.dds";
   normalMap[1] = "vehicles/Sub22B/Sub22B_forza_body_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/Sub22B/Sub22B_forza_body_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.00 0.287 0.718 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   doubleSided = "1";
   alphaRef = "0";
   beamngDiffuseColorSlot = 2;
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";  
};
